TAAS - Feature #115

Cash Deposit
12/07/2022 12:16 PM - Anil KV

Status: New Changes Coding Done Start date: 01/16/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cash Deposit

Description

Coding Cash Deposit

History

#1 - 01/03/2023 11:33 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 01/09/2023 03:51 PM - Junaid M
- Assignee changed from Junaid M to Amal Siby

#3 - 01/16/2023 06:39 PM - Amal Siby

- Status changed from Open to Coding Started

- Start date changed from 12/07/2022 to 01/16/2023
- % Done changed from 10 to 40

#4 - 02/01/2023 06:07 PM - Amal Siby
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

Coding completed.

#5 - 02/02/2023 11:49 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.CANT SAVE CASH DEPOSIT

P0001: jsnSglRes: {"sinSglCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSglCustomMessage" : "Cas
h Deposit Save Failed", "strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSglCustomErrorCode" : null, "st
rSglSysMessage" : "procedure sp_insert_or_update_transaction(jsonb[], smallint, json) does not exist", "strSql
SysExceptionDetail" "", "strSqglSysExceptionHint" : "PL/pgSQL function sp_insert_or_update_cash_deposit (jsonb
, jsonb, jsonb[], jsonb[]) line 76 at CALL", "binSglPk" : 20, "binSglLogPk" : 0, "strSglDocNo" : null, "dctSqlOth
erData" : {"binDocumentId": "20", "strDocumentNo": "CD/001", "binCashDepositMasterId": "18"}}

2.FIX CALCULATION BUGS IN BANK (ROE & NaN)
3.USE PROPER HEADINGS IN GRID

#6 - 02/02/2023 04:43 PM - Amal Siby
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#7 - 02/03/2023 09:50 AM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.CANT SAVE CASH DEPOSIT

P0001: jsnSqglRes: {"sinSqlCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSqlCustomMessage" : "Cash Deposit Save Failed",
"strSqlCustomErrorType" : "DATABASE_SYSTEM_ERROR?", "strSglCustomErrorCode" : null, "strSqlSysMessage" : "procedure
sp_insert_or_update_transaction(jsonbl[], smallint, json) does not exist", "strSqlSysExceptionDetail" : ", "strSqlSysExceptionHint" : "PL/pgSQL
function sp_insert_or_update_cash_deposit(jsonb,jsonb,jsonb[],jsonb(]) line 76 at CALL", "binSqlPk" : 37, "binSqlLogPk" : 0, "strSglDocNo" : null,
"dctSqlOtherData" : {"binDocumentld": "37", "strDocumentNo": "CD/001", "binCashDepositMasterld": "29"}}

#8 - 02/04/2023 10:09 AM - Amal Siby
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#9 - 02/04/2023 03:25 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON GRID
(DELETE FUNCTION NOT WORKING PROPERLY)

#10 - 02/10/2023 06:24 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

delete Bug Fixed.

#11 - 03/10/2023 05:34 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Cant add cash account

(Auto completion not working--> Code & Name)
2.New Button not responding

(Button Placed on middle )

#12 - 03/22/2023 05:53 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 03/23/2023 03:02 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUND *****
1.Fix bugs on grid - CASH
(Sort & Update)

#14 - 03/25/2023 06:18 PM - Amal Siby
Tested Bug Fixed.

#15 - 03/25/2023 06:19 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#16 - 03/27/2023 02:21 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix errors while add cash - Debit & Credit not tally
(Add amount -> choose a/c & save)

2.Display proper alerts while choose cash a/c
(prevent adding same a/c more than one)

3.Use proper head on grid

(Change Amount In to Amount In QAR)

#17 - 03/28/2023 06:56 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

bug fixed.

#18 - 03/31/2023 02:49 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set proper validation & Alerts on CASH
2.Fix bugs on Attachment popup

Remove Add button
prevent close without tap on Close button

3.Set mandatory fields red & required
(Cash-popup- Error while save)

#19 - 04/20/2023 05:59 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 04/21/2023 04:38 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Showing wrong alerts while update

2.fix errors while edit mode

> Cant update branch department

> Cant Edit/Update data on Add Cash Popup
3.Set proper validations on branch Selection box
(Add Cash- Popup)

#21 - 05/05/2023 07:02 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 05/08/2023 05:46 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Amount precision must be same as on currency module
(Grid & Popup)

2.Set default Branch & Department on GUI

3.Error while update

4 Prevent Save/ Update when Debit & Credit amounts are not tally
5.Fix bugs on attachment Popup

> Size alignment

> Cant Select/Choose Custom type

> Use proper alerts

( Custom Name change to Custom Type )

> Align Labels

(Created by & Modified by)

#23 - 05/10/2023 07:20 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 05/12/2023 06:04 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Precision missing while adding Cash/Bank account
2.Set Max. limit on text field - Amount input box
3.Disble Doc. No. on edit mode

#25 - 05/18/2023 03:56 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#26 - 05/23/2023 05:26 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.fix bugs on posting - Cr/Dr values are incorrect
2.Set precision on Amount in QAR column

#27 - 05/30/2023 11:59 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

bug fixed.

#28 - 09/04/2023 06:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.SHOWING DEFAULT QAR AMOUNT IN CASH TAB AFTER SAVE
#29 - 09/05/2023 07:19 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug Fixed.

#30 - 09/15/2023 04:03 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****
1.ERROSER FILTER NOT WORKING
#31 - 09/15/2023 04:23 PM - unnikannan S
Seema Mathew wrote in #note-30:
ISSUE FOUNDED****

1.ERASER FILTER NOT WORKING

#32 - 09/19/2023 10:17 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#33 - 10/14/2023 02:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.SHOWING POP UP NOT TALLY WHILE AFTER ADDING CASH A/C AND DELETE FROM LIST AND SAVE

#34 - 10/16/2023 06:46 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

reported bug fixed

#35 - 10/27/2023 12:10 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD IN GRID CODE LOCATION = CENTRE

#36 - 10/28/2023 02:12 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#37 - 11/10/2023 11:58 AM - unnikannan S
ISSUE FOUNDED

1.RE-DIRECT ISSUE
2.ADD INFO MESSAGE (BLUE)

#38 - 02/21/2024 10:13 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Done 1.ADD VALIDATION FOR DATE FIELD
Done 2.CHANGE Ul NAME COUNTER FIELD TO CASH COUNTER IN CASH POP UP
Done 3.ADD BLANK OPTION IN CASH COUNTER FIELD

#39 - 02/23/2024 10:09 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#40 - 02/26/2024 04:56 PM - Junaid M
- Assignee changed from Vivekp V to Amal Siby

#41 - 02/26/2024 06:01 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#42 - 02/27/2024 02:20 PM - unnikannan S
TESTING DONE

#43 - 03/08/2024 04:29 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

Fixed 1.MISSING AMOUNT IN UPDATE (CASE OF ADDING MULTIPLE CASH A/C ON A SAVED DOC)

#44 - 03/15/2024 02:09 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 03/15/2024 02:45 PM - unnikannan S
TESTING DONE

#46 - 03/20/2024 10:25 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.ERROR ON SAVE WHILE CHOOSING BLANK OPTION IN CASH COUNTER FIELD

#47 - 03/25/2024 10:35 AM - Junaid M
- Assignee changed from Amal Siby to Nithin Raj

#48 - 03/26/2024 09:53 AM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 04/02/2024 11:30 AM - unnikannan S
- File clipboard-202404021130-cborh.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#50 - 04/06/2024 12:09 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 04/06/2024 01:10 PM - unnikannan S
TESTING DONE

#52 - 04/06/2024 01:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1,BLOCKING UPDATION AFTER CHANGING DOC STATUS
#53 - 04/12/2024 01:13 PM - Nithin Raj

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 04/12/2024 02:34 PM - unnikannan S
TESTING DONE

#55 - 06/12/2024 12:11 PM - Anonymous

- Assignee changed from Nithin Raj to Greeshma S

#56 - 06/14/2024 02:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Fix NaN Bug in ROE Field
#57 - 06/14/2024 02:24 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#58 - 06/18/2024 03:55 PM - unnikannan S
TESTING DONE

#59 - 06/21/2024 10:01 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#60 - 06/21/2024 02:09 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#61 - 10/17/2024 03:33 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Connect Print
#62 - 10/22/2024 06:35 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#63 - 10/25/2024 12:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#64 - 10/25/2024 12:30 PM - unnikannan S
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED

1.Invalid Tool Tip In Transaction id Field

#65 - 10/26/2024 09:50 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#66 - 10/26/2024 04:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#67 - 11/14/2024 02:58 PM - Theja Ponon
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)HEADER AND ROW FILTERS ARE NOT WORKING IN ALL COLUMNS

Enhacement

1)When depositing bank currency is changing add the calculated Qar into the bank amound and calculate usd

#68 - 11/14/2024 03:27 PM - Theja Ponon
ISSUE FOUND

1)HEADER AND ROW FILTERS ARE NOT WORKING IN ALL COLUMNS
2)ROE VALUE IS NOT UPDATING IN DOCUMENT QUERY IN CASE OF CURRENCY CHANGE

Enhacement

1)When depositing bank currency is changing add the calculated QAR into the bank amound and calculate USD

#69 - 11/18/2024 12:56 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#70 - 11/23/2024 01:22 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#71 - 03/13/2025 10:19 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50
Set Document Id in Posting
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#72 - 03/13/2025 06:15 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

2-tsModel.ts 2.59 KB 01/03/2023 Junaid M
1-CsModel.cs 4.57 KB 01/03/2023 Junaid M
4-CsControllerFile.cs 24.6 KB 01/03/2023 Junaid M
3-CsFile.cs 12.6 KB 01/03/2023 Junaid M
5-TsFile.ts 15.2 KB 01/03/2023 Junaid M
6-HtmiFile.html 1.93 KB 01/03/2023 Junaid M
sql.sql 9.25 KB 01/03/2023 Junaid M
clipboard-202404021130-cborh.png 230 KB 04/02/2024 unnikannan S
